Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3443 - problem when upgrading to egcs-c++-1.1.2-13 on sparc
Summary: problem when upgrading to egcs-c++-1.1.2-13 on sparc
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 6.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL: http://www.redhat.com/corp/support/er...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-14 03:23 UTC by amartoq
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-06 15:26:12 UTC


Attachments (Terms of Use)

Description amartoq 1999-06-14 03:23:12 UTC
I try to upgrade, following the instructions:

/tmp/update/]# rpm -Uvh egcs-c++-1.1.2-13.sparc.rpm
error: file /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so from
install of egcs-c++-1.1.2-13 conflicts with file from
package libstdc++-2.9.0-12

I've also tryed to install egcs-c++ without libstdc++, but
it claims that needs it.

I compared both file (the included in libstdc++ and
egcs-c++) and they differ. May you must make an upgrade to
libstdc++ too.

My machine is a sparcstation 4. I hope that this upgrade of
egcs an kernel make more stable X, as far I read...

Comment 1 Jeff Johnson 1999-06-14 15:16:59 UTC
This is an rpm problem: upgrade to rpm-3.0.1 from ftp.rpm.org
to fix.

Comment 2 amartoq 1999-06-14 19:44:59 UTC
I've upgraded to rpm-3.0.1-12.6.0 and appears the same error. I guess
it's a missbuilded egcs-c++-.rpm error.

Or libstdc++ needs un upgrade too. I've checked the file included in
the 6.0 libstdc++ and egcs-c++ rpms, and they don't differ. They are
the same.

Comment 3 Jeff Johnson 1999-06-21 13:00:59 UTC
Both egcs-c++ and libstdc++ -- because they share the file
libstdc++*.so -- must be installed at the same time in order to
succeed. If both packages are installed by rpm-3.0-6.0, then the file
libstdc++*.so will show up as "missing" (and the file will not be
present in /usr/lib).

Please try and upgrade with both package names on the same command
line.

Comment 4 Preston Brown 1999-07-06 15:26:59 UTC
upgrading egcs and libstdc++ at the same time cures the problem.


Note You need to log in before you can comment on or make changes to this bug.